<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: next_day</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for next_day {SparkR}"><tr><td>next_day {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>next_day</h2>

<h3>Description</h3>

<p>Given a date column, returns the first date which is later than the value of the date column
that is on the specified day of the week.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column,character'
next_day(y, x)

next_day(y, x)
</pre>


<h3>Details</h3>

<p>For example, <code>next_day('2015-07-27', "Sunday")</code> returns 2015-08-02 because that is the first
Sunday after 2015-07-27.
</p>
<p>Day of the week parameter is case insensitive, and accepts first three or two characters:
&quot;Mon&quot;, &quot;Tue&quot;, &quot;Wed&quot;, &quot;Thu&quot;, &quot;Fri&quot;, &quot;Sat&quot;, &quot;Sun&quot;.
</p>


<h3>See Also</h3>

<p>Other datetime_funcs: <code><a href="add_months.html">add_months</a></code>,
<code><a href="add_months.html">add_months</a></code>; <code><a href="date_add.html">date_add</a></code>,
<code><a href="date_add.html">date_add</a></code>; <code><a href="date_format.html">date_format</a></code>,
<code><a href="date_format.html">date_format</a></code>; <code><a href="date_sub.html">date_sub</a></code>,
<code><a href="date_sub.html">date_sub</a></code>; <code><a href="datediff.html">datediff</a></code>,
<code><a href="datediff.html">datediff</a></code>; <code><a href="dayofmonth.html">dayofmonth</a></code>,
<code><a href="dayofmonth.html">dayofmonth</a></code>; <code><a href="dayofyear.html">dayofyear</a></code>,
<code><a href="dayofyear.html">dayofyear</a></code>; <code><a href="from_unixtime.html">from_unixtime</a></code>,
<code><a href="from_unixtime.html">from_unixtime</a></code>;
<code><a href="from_utc_timestamp.html">from_utc_timestamp</a></code>,
<code><a href="from_utc_timestamp.html">from_utc_timestamp</a></code>; <code><a href="hour.html">hour</a></code>,
<code><a href="hour.html">hour</a></code>; <code><a href="last_day.html">last_day</a></code>,
<code><a href="last_day.html">last_day</a></code>; <code><a href="minute.html">minute</a></code>,
<code><a href="minute.html">minute</a></code>; <code><a href="months_between.html">months_between</a></code>,
<code><a href="months_between.html">months_between</a></code>; <code><a href="month.html">month</a></code>,
<code><a href="month.html">month</a></code>; <code><a href="quarter.html">quarter</a></code>,
<code><a href="quarter.html">quarter</a></code>; <code><a href="second.html">second</a></code>,
<code><a href="second.html">second</a></code>; <code><a href="to_date.html">to_date</a></code>,
<code><a href="to_date.html">to_date</a></code>; <code><a href="to_utc_timestamp.html">to_utc_timestamp</a></code>,
<code><a href="to_utc_timestamp.html">to_utc_timestamp</a></code>;
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>; <code><a href="weekofyear.html">weekofyear</a></code>,
<code><a href="weekofyear.html">weekofyear</a></code>; <code><a href="year.html">year</a></code>,
<code><a href="year.html">year</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
next_day(df$d, 'Sun')
next_day(df$d, 'Sunday')

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
